%define libsoup_version 2.1.8
%define eds_version 0.0.91

%define gettext_package evolution-webcal

Name: evolution-webcal
Summary: A handler for webcal URIs
Version: 1.0.10
Release: 3
License: GPL
Group: Applications/Internet
Source0: %{name}-%{version}.tar.bz2
Source1: ru.po-cvs-1.1.2.1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: libsoup >= %{libsoup_version}
Requires: evolution-data-server >=  %{eds_version}
Requires: libgnomeui
BuildRequires: libsoup-devel >= %{libsoup_version}
BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: libgnomeui-devel

%description
evolution-webcal is a small helper application that can be run when webcal URIs are clicked in web browsers.
It adds the calendar to your evolution-data-server, which will make the calendar appear in Evolution and in the gnome-panel's calendar.

%prep
%setup -q
cp %{SOURCE1} %{_builddir}/evolution-webcal-%{version}/po/ru.po

%build
%configure
make

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{gettext_package}
grep -q '/usr/share/locale' %{gettext_package}.lang || exit 1

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="evolution-webcal.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/evolution-webcal.schemas
%{_libexecdir}/evolution-webcal
%{_datadir}/application-registry/evolution-webcal.applications


%changelog
* Fri Jul 29 2005 David Malcolm <dmalcolm@redhat.com> - 1.0.10-3
- Update Russian translation with latest from upstream CVS on gnome-2-8 branch
  (replacing version 1.1 with version 1.1.2.1) (#160766)

* Fri Oct 29 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.10-2
- added missing requirements on libgnomeui (#137554)

* Wed Sep  1 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.10-1
- updated from 1.0.9 to 1.0.10

* Mon Aug 30 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.9-2
- Converted dashes to underscores in version defines; usage should now match up with definition

* Thu Aug 26 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.9-1
- Initial build.

